-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 17. Feb 2015 um 16:57
-- Server Version: 5.5.16
-- PHP-Version: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: remotec_fremdbauteile
--

DROP TABLE IF EXISTS fremdbauteil;
DROP TABLE IF EXISTS lieferant;
DROP TABLE IF EXISTS ort;
DROP TABLE IF EXISTS warengruppe;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle warengruppe
--

CREATE TABLE IF NOT EXISTS warengruppe (
  WarengruppenID int(2) NOT NULL,
  Warengruppenbezeichnung varchar(20) NOT NULL,
  PRIMARY KEY (WarengruppenID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle warengruppe
--

INSERT INTO warengruppe (WarengruppenID, Warengruppenbezeichnung) VALUES
(1, 'Gehäuse'),
(2, 'Taste'),
(3, 'Elektronik'),
(4, 'Sender'),
(5, 'Display');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle ort
--

CREATE TABLE IF NOT EXISTS ort (
  PLZ int(5) NOT NULL,
  Ortsname varchar(50) NOT NULL,
  PRIMARY KEY (PLZ)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle ort
--

INSERT INTO ort (PLZ, Ortsname) VALUES
(10587, 'Berlin'),
(13509, 'Berlin'),
(22393, 'Hamburg'),
(27570, 'Bremerhaven'),
(32457, 'Porta Westfalica'),
(33607, 'Bielefeld'),
(40223, 'Düsseldorf'),
(40472, 'Düsseldorf'),
(40549, 'Düsseldorf'),
(41460, 'Neuss'),
(41836, 'Hückelhoven'),
(42281, 'Wuppertal'),
(42657, 'Solingen'),
(42699, 'Solingen'),
(44147, 'Dortmund'),
(45128, 'Essen'),
(45277, 'Essen'),
(45472, 'Mühlheim'),
(47800, 'Krefeld'),
(47803, 'Krefeld'),
(48151, 'Münster'),
(48161, 'Münster'),
(48565, 'Steinfurt'),
(53177, 'Bonn'),
(53902, 'Bad Münstereifel'),
(58710, 'Menden'),
(58730, 'Fröndenberg'),
(60528, 'Frankfurt'),
(63329, 'Egelsbach'),
(70499, 'Stuttgart'),
(71634, 'Ludwigsburg'),
(74722, 'Buchen'),
(76229, 'Karlsruhe'),
(78054, 'Villingen-Schwenningen'),
(81249, 'München');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle lieferant
--

CREATE TABLE IF NOT EXISTS lieferant (
  LieferantenID int(5) NOT NULL,
  Firma varchar(50) NOT NULL,
  Ansprechpartner varchar(50) NOT NULL,
  Anschrift varchar(50) NOT NULL,
  PLZ int(5) NOT NULL,
  PRIMARY KEY (LieferantenID),
  KEY PLZ (PLZ)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- RELATIONEN DER TABELLE lieferant:
--   PLZ
--       ort -> PLZ
--

--
-- Daten für Tabelle lieferant
--

INSERT INTO lieferant (LieferantenID, Firma, Ansprechpartner, Anschrift, PLZ) VALUES
(10001, 'Electronicluchs Luchs & Wiemann Elektronik Handels', 'Herr Johannis', 'Hauptstraße 85', 44147),
(10002, 'Outtec electronic GmbH', 'Herr Peters', 'Am Siek 4', 45128),
(10003, 'VISIOmat international GmbH', 'Herr Tuschmann', 'Müllerstraße 39', 10587),
(10004, 'ESP Elektronik GmbH', 'Frau Siegfried', 'Am Dobben 145', 47803),
(10005, 'Hepimatic GmbH', 'Herr Meier', 'Rote-Tor-Straße 17', 33607),
(10006, 'CIP Creative Intelligent Products GmbH', 'Frau Pilkcz', 'Mühlenweg 33', 53177),
(10007, 'Tec24 Sensor GmbH', 'Herr Langer', 'Hubstraße 1-3', 40223),
(10008, 'Automatisierungstechnik Hans Brona GmbH', 'Herr Panelow', 'Ostendstraße 80-90', 48565),
(10009, 'Veela Leiterplattentechnik GmbH', 'Frau Nurg', 'Kardinalsweg 15', 48151),
(10010, 'Waldecker Kunststoffwerke Gehäusesysteme GmbH', 'Frau Havermann-Thorn', 'Schulstraße 112', 13509),
(10011, 'D & D digital GmbH', 'Frau Damwerth', 'Industriestraße 24-26', 45472),
(10012, 'optoKOLL GmbH & Co. KG', 'Herr Mulder', 'Föhrenbachstraße 33', 78054),
(10013, 'BetaTech Controls GmbH', 'Herr Ahrens', 'Hinterm Esch 4-8', 40472),
(10014, 'V-Box GmbH', 'Frau Bietsch', 'Bergstraße 20', 41836),
(10015, 'Rabel Technik GmbH', 'Frau Grönse', 'Hansastraße 86', 22393),
(10016, 'EAX Unterhaltungselektronik GmbH', 'Herr Scherer', 'Sudetenstraße 428', 70499),
(10017, 'ESQ Technische Handels GmbH', 'Herr Brenk', 'Mittelstraße 12', 42699),
(10018, 'TRV Industrie-Elektronik GmbH', 'Frau Henning', 'Rosenstraße 56', 71634),
(10019, 'EOA GmbH', 'Herr Weberknecht', 'Auf dem Felde 7', 42657),
(10020, 'bt-electronics GmbH Intelligente Steuerungstechnik', 'Herr Bode', 'Leiterstraße 100', 27570),
(10021, 'EmWeBe GmbH', 'Frau Bauer', 'Stresemannstraße 214', 58710),
(10022, 'ControlPro-Service GmbH', 'Herr Rave', 'Am Berg 19', 58730),
(10023, 'ESD Netshop GmbH', 'Herr Frantzen', 'Wannheimer Weg 75', 32457),
(10024, 'Steve Elektronik GmbH', 'Frau Frenkhoff', 'Am Hart 11', 47800),
(10025, 'Optronic Electronic-Service GmbH', 'Frau Klug', 'Lerchenfeldstraße 94', 60528),
(10026, 'KRK Kunststofftechnik GmbH & Co KG', 'Herr Kornmann', 'Am Gläschen 23-25', 48161),
(10027, 'TMA Technik, Mikroelektronik und Automatisierung G', 'Frau Schuster', 'Hohe Gasse 14', 74722),
(10028, 'Follow you GmbH', 'Herr Weber', 'Havighorster Weg 50', 53902),
(10029, 'Helldorfer Kunststoff Technik GmbH', 'Frau Peters', 'Steinstraße 35', 40549),
(10030, 'zutronic GmbH', 'Herr Müller', 'Dickenhardtstraße 41', 45277),
(10031, 'MAKE Design GmbH', 'Frau Lüdenscheidt', 'Dreieichweg 64', 42281),
(10032, 'SolE Elektroniksysteme', 'Herr Wrede', 'Kantstraße 8-16', 41460),
(10033, 'TGW Components', 'Herr Möllmann', 'Zunftstraße 43', 81249),
(10034, 'Petatec Electronic GmbH & Co. KG', 'Herr Rogge', 'Am krummen Bach 5', 63329),
(10035, 'JS Kunststofftechnik GmbH', 'Frau Kortmann', 'Kieler Straße 116', 76229);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle fremdbauteil
--

CREATE TABLE IF NOT EXISTS fremdbauteil (
  FremdbauteilID varchar(11) NOT NULL,
  FremdbauteilBezeichnung varchar(75) NOT NULL,
  EKPreis double(8,2) NOT NULL,
  LieferantenID int(5) NOT NULL,
  WarengruppenID int(2) NOT NULL,
  PRIMARY KEY (FremdbauteilID),
  KEY LieferantenID (LieferantenID,WarengruppenID),
  KEY WarengruppenID (WarengruppenID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- RELATIONEN DER TABELLE fremdbauteil:
--   LieferantenID
--       lieferant -> LieferantenID
--   WarengruppenID
--       warengruppe -> WarengruppenID
--

--
-- Daten für Tabelle fremdbauteil
--

INSERT INTO fremdbauteil (FremdbauteilID, FremdbauteilBezeichnung, EKPreis, LieferantenID, WarengruppenID) VALUES
('6010-01-001', 'Gehäuse R20D3 46x200x20', 1.64, 10010, 1),
('6010-01-002', 'Gehäuse E20D1 46x160x25', 2.24, 10014, 1),
('6010-01-003', 'Gehäuse G15 46x160x15', 2.05, 10026, 1),
('6010-01-004', 'Gehäuse R30 52x200x25', 1.85, 10029, 1),
('6010-01-005', 'Gehäuse E45 40x140x15', 2.18, 10035, 1),
('6010-01-006', 'Gehäuse G20 40x160x15', 2.41, 10010, 1),
('6010-01-007', 'Gehäuse R18D2 52x160x20', 2.23, 10014, 1),
('6010-01-008', 'Gehäuse E16D2 52x180x20', 2.37, 10026, 1),
('6010-01-009', 'Gehäuse G18 46x180x10', 1.94, 10029, 1),
('6010-01-010', 'Gehäuse R21 40x160x10', 2.03, 10035, 1),
('6010-01-011', 'Gehäuse E45D3 40x200x15', 1.77, 10010, 1),
('6010-01-012', 'Gehäuse G56D1 40x140x25', 2.24, 10014, 1),
('6010-01-013', 'Gehäuse R32 40x140x15', 2.33, 10026, 1),
('6010-01-014', 'Gehäuse E21 52x180x15', 2.05, 10029, 1),
('6010-01-015', 'Gehäuse G18D1 52x180x15', 1.98, 10035, 1),
('6010-01-016', 'Gehäuse R20D3 40x200x20', 1.62, 10010, 1),
('6010-01-017', 'Gehäuse E24D3 46x200x15', 2.08, 10014, 1),
('6010-02-001', 'Taste QE 11x11x2', 0.18, 10001, 2),
('6010-02-002', 'Taste QR 11x11x2', 0.07, 10007, 2),
('6010-02-003', 'Taste RE 11x15x2', 0.31, 10009, 2),
('6010-02-004', 'Taste RR 11x15x2', 0.19, 10013, 2),
('6010-02-005', 'Taste QE 7x7x2', 0.40, 10015, 2),
('6010-02-006', 'Taste QR 7x7x2', 0.44, 10019, 2),
('6010-02-007', 'Taste RE 7x13x2', 0.43, 10001, 2),
('6010-02-008', 'Taste RR 7x13x2', 0.29, 10007, 2),
('6010-02-009', 'Taste QE 9x9x2', 0.36, 10009, 2),
('6010-02-010', 'Taste QR 9x9x2', 0.45, 10013, 2),
('6010-02-011', 'Taste RE 9x15x2', 0.40, 10015, 2),
('6010-02-012', 'Taste RR 9x15x2', 0.41, 10019, 2),
('6010-02-013', 'Taste QE 13x13x2', 0.21, 10001, 2),
('6010-02-014', 'Taste QR 13x13x2', 0.25, 10007, 2),
('6010-02-015', 'Taste RE 13x17x2', 0.42, 10009, 2),
('6010-02-016', 'Taste RR 13x17x2', 0.31, 10013, 2),
('6010-02-017', 'Taste QE 5x5x2', 0.06, 10015, 2),
('6010-02-018', 'Taste QR 5x5x2', 0.22, 10019, 2),
('6010-03-001', 'Elektronik Platine A10', 19.12, 10002, 3),
('6010-03-002', 'Elektronik Platine B10', 14.77, 10006, 3),
('6010-03-003', 'Elektronik Platine C10', 19.08, 10008, 3),
('6010-03-004', 'Elektronik Platine D10', 16.69, 10018, 3),
('6010-03-005', 'Elektronik Platine E20', 5.34, 10020, 3),
('6010-03-006', 'Elektronik Platine F20', 12.06, 10021, 3),
('6010-03-007', 'Elektronik Platine G20', 24.75, 10022, 3),
('6010-03-008', 'Elektronik Platine H30', 23.49, 10027, 3),
('6010-03-009', 'Elektronik Platine I30', 14.16, 10030, 3),
('6010-03-010', 'Elektronik Platine J50', 11.74, 10034, 3),
('6010-03-011', 'Elektronik Chip A_v6', 19.02, 10002, 3),
('6010-03-012', 'Elektronik Chip B_v1', 22.11, 10006, 3),
('6010-03-013', 'Elektronik Chip C_v4', 49.74, 10008, 3),
('6010-03-014', 'Elektronik Chip D_v2', 12.75, 10018, 3),
('6010-03-015', 'Elektronik Chip E_v2', 18.96, 10020, 3),
('6010-03-016', 'Elektronik Chip F_v5', 40.29, 10021, 3),
('6010-03-017', 'Elektronik Chip G_v6', 23.80, 10022, 3),
('6010-03-018', 'Elektronik Chip H_v1', 20.21, 10023, 3),
('6010-03-019', 'Elektronik Chip I_v3', 25.77, 10024, 3),
('6010-03-020', 'Elektronik Chip J_v5', 37.11, 10025, 3),
('6010-03-021', 'Elektronik Chip K_v5', 58.82, 10026, 3),
('6010-03-022', 'Elektronik Chip L_v4', 54.91, 10027, 3),
('6010-03-023', 'Elektronik Chip M_v2', 24.88, 10028, 3),
('6010-04-001', 'Sender IR25', 9.31, 10004, 4),
('6010-04-002', 'Sender IR50', 12.19, 10005, 4),
('6010-04-003', 'Sender IR75', 15.05, 10016, 4),
('6010-04-004', 'Sender IR100', 18.09, 10023, 4),
('6010-04-005', 'Sender BT8A', 11.33, 10032, 4),
('6010-04-006', 'Sender BT16A', 13.60, 10004, 4),
('6010-04-007', 'Sender BT32A', 15.14, 10005, 4),
('6010-04-008', 'Sender BT64A', 16.56, 10016, 4),
('6010-04-009', 'Sender F32MHz', 6.15, 10023, 4),
('6010-04-010', 'Sender F36MHz', 6.29, 10032, 4),
('6010-04-011', 'Sender F40MHz', 6.23, 10004, 4),
('6010-04-012', 'Sender BT3000flex', 21.20, 10005, 4),
('6010-04-013', 'Sender BT4000flex', 24.29, 10016, 4),
('6010-04-014', 'Sender BT5000flex', 26.66, 10023, 4),
('6010-04-015', 'Sender IRWR5', 7.14, 10032, 4),
('6010-04-016', 'Sender IRWR8', 9.18, 10004, 4),
('6010-04-017', 'Sender IRWR10', 11.29, 10005, 4),
('6010-04-018', 'Sender IRWR12', 13.15, 10016, 4),
('6010-04-019', 'Sender IRWR15', 15.39, 10023, 4),
('6010-05-001', 'Display LCD-EH 32x32', 9.64, 10003, 5),
('6010-05-002', 'Display LCD-EL 24x36', 8.79, 10011, 5),
('6010-05-003', 'Display LCD-GC 24x36', 13.32, 10012, 5),
('6010-05-004', 'Display LCD-GL 32x32', 13.45, 10017, 5),
('6010-05-005', 'Display LCD-EC 24x16', 11.61, 10024, 5),
('6010-05-006', 'Display LCD-EH 32x40', 13.66, 10025, 5),
('6010-05-007', 'Display LCD-EL 24x16', 11.64, 10028, 5),
('6010-05-008', 'Display LCD-EC 24x32', 12.68, 10031, 5),
('6010-05-009', 'Display LCD-RC 24x32', 8.14, 10033, 5),
('6010-05-010', 'Display LCD-RL 24x36', 12.40, 10003, 5),
('6010-05-011', 'Display LCD-RH 32x40', 12.92, 10011, 5),
('6010-05-012', 'Display LCD-RL 32x16', 14.59, 10012, 5),
('6010-05-013', 'Display LCD-EC 32x16', 11.86, 10017, 5),
('6010-05-014', 'Display LCD-EL 32x32', 13.67, 10024, 5),
('6010-05-015', 'Display LCD-EH 24x40', 14.60, 10025, 5),
('6010-05-016', 'Display LCD-EH 24x36', 13.14, 10028, 5),
('6010-05-017', 'Display LCD-EL 24x40', 10.52, 10031, 5),
('6010-05-018', 'Display LCD-EL 32x16', 12.02, 10033, 5),
('6010-05-019', 'Display LCD-EH 24x16', 14.08, 10003, 5),
('6010-05-020', 'Display LCD-EC 32x32', 14.41, 10011, 5),
('6010-05-021', 'Display LCD-EL 32x40', 12.48, 10012, 5),
('6010-05-022', 'Display LCD-EH 24x32', 10.25, 10017, 5),
('6010-05-023', 'Display LCD-EH 32x16', 14.52, 10024, 5);

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle fremdbauteil
--
ALTER TABLE fremdbauteil
  ADD CONSTRAINT fremdbauteil_ibfk_2 FOREIGN KEY (WarengruppenID) REFERENCES warengruppe (WarengruppenID) ON UPDATE CASCADE,
  ADD CONSTRAINT fremdbauteil_ibfk_1 FOREIGN KEY (LieferantenID) REFERENCES lieferant (LieferantenID) ON UPDATE CASCADE;

--
-- Constraints der Tabelle lieferant
--
ALTER TABLE lieferant
  ADD CONSTRAINT lieferant_ibfk_1 FOREIGN KEY (PLZ) REFERENCES ort (PLZ) ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
