-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 17. Feb 2015 um 10:30
-- Server Version: 5.5.16
-- PHP-Version: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: 'beispiel_mitarbeiter'
--

-- --------------------------------------------------------

DROP TABLE IF EXISTS mitarbeiter;
DROP TABLE IF EXISTS ort;
DROP TABLE IF EXISTS abteilung;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'abteilung'
--

CREATE TABLE IF NOT EXISTS abteilung (
  AbteilungsID varchar(3) NOT NULL DEFAULT '',
  Abteilungsbezeichnung varchar(25) DEFAULT NULL,
  Abteilungsleiter int(4) DEFAULT NULL,
  PRIMARY KEY (AbteilungsID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle 'abteilung'
--

INSERT INTO abteilung (AbteilungsID, Abteilungsbezeichnung, Abteilungsleiter) VALUES
('AV', 'Arbeitsvorbereitung', 3019),
('BS', 'Beschaffung', 3047),
('F/B', 'Finanzwesen/Buchhaltung', 3058),
('F/C', 'Finanzwesen/Controlling', 3044),
('IT', 'Informatik', 3027),
('L', 'Lager', 2009),
('P', 'Produktion', 2023),
('P/A', 'Personal/Ausbildung', 3020),
('P/V', 'Personal/Verwaltung', 3029),
('V', 'Vorstand', NULL),
('V/M', 'Verkauf/Marketing', 3015);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'ort'
--

CREATE TABLE IF NOT EXISTS ort (
  PLZ int(5) NOT NULL DEFAULT '0',
  Ortsname varchar(25) DEFAULT NULL,
  PRIMARY KEY (PLZ)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle 'ort'
--

INSERT INTO ort (PLZ, Ortsname) VALUES
(48143, 'Münster'),
(48151, 'Münster'),
(48155, 'Münster'),
(48231, 'Warendorf'),
(48308, 'Senden'),
(48653, 'Coesfeld'),
(59348, 'Lüdinghausen');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'mitarbeiter'
--

CREATE TABLE IF NOT EXISTS mitarbeiter (
  MitarbeiterID int(4) NOT NULL DEFAULT '0',
  Nachname varchar(25) DEFAULT NULL,
  Vorname varchar(25) DEFAULT NULL,
  Anschrift varchar(40) DEFAULT NULL,
  PLZ int(5) DEFAULT NULL,
  Geschlecht char(1) DEFAULT NULL,
  Monatsentgelt double(8,2) DEFAULT NULL,
  AbteilungsID varchar(3) DEFAULT NULL,
  PRIMARY KEY (MitarbeiterID),
  KEY AbteilungsID (AbteilungsID),
  KEY PLZ (PLZ)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- RELATIONEN DER TABELLE mitarbeiter:
--   AbteilungsID
--       abteilung -> AbteilungsID
--   PLZ
--       ort -> PLZ
--

--
-- Daten für Tabelle 'mitarbeiter'
--

INSERT INTO mitarbeiter (MitarbeiterID, Nachname, Vorname, Anschrift, PLZ, Geschlecht, Monatsentgelt, AbteilungsID) VALUES
(1001, 'Reimann', 'Rolf', 'Am Brandenbusch 21', 48151, 'm', 6490.77, 'V'),
(1002, 'Zolper', 'Werner', 'Dahlienhof 14', 48151, 'm', 6444.37, 'V'),
(2005, 'Mikus', 'Anja', 'Werthmannplatz 7', 48151, 'w', 3158.41, 'P'),
(2006, 'Hemmer', 'Leonard', 'Felix-Klein-Straße 19', 48151, 'm', 3204.37, 'P'),
(2008, 'Rudzinski', 'Wolfgang', 'Kapellenstraße 29', 48653, 'm', 2444.05, 'P'),
(2009, 'Keller', 'Renate', 'Fahrenberg 36a', 48151, 'w', 3919.74, 'L'),
(2010, 'Koszyk', 'Dieter', 'Schönleinstraße 51', 59348, 'm', 1037.22, 'L'),
(2012, 'Breßlein', 'Walter', 'Clemens-August-Straße 37', 48308, 'm', 2328.12, 'L'),
(2014, 'Hermans', 'Jan', 'Ottilienstraße 24', 59348, 'm', 3086.14, 'P'),
(2015, 'Steinmetz', 'Charlotte', 'Joachimstraße 35', 48151, 'w', 1990.40, 'P'),
(2016, 'Deilmann', 'Reiner', 'Im Stapel 61', 48151, 'm', 400.00, 'L'),
(2017, 'Kruke', 'Cornelia', 'Nonnenbergweg 2', 48151, 'w', 4002.46, 'P'),
(2019, 'Fleskes', 'Sigrid', 'August-Bebel-Straße 42', 48155, 'w', 2556.38, 'L'),
(2020, 'Stiller', 'Andrea', 'Huyssenallee 105', 48151, 'w', 2434.00, 'P'),
(2022, 'Dörre', 'Marco', 'Breite Straße 62', 48155, 'm', 2514.15, 'L'),
(2023, 'Leniger', 'Enno', 'Oskar-Hoffmann-Straße 61', 48231, 'm', 4702.06, 'P'),
(2024, 'Frielinghaus', 'Simone', 'Schulweg 15', 48143, 'w', 2710.05, 'P'),
(3005, 'Seidel', 'Rita', 'Zwölfling 20', 48151, 'w', 745.56, 'BS'),
(3009, 'Schledorn', 'Rudolf', 'Alte Landstraße 84', 48151, 'm', 3552.90, 'F/B'),
(3010, 'Franz', 'Angelika', 'Blütenweg 10', 48308, 'w', 2645.16, 'IT'),
(3015, 'Baschell', 'Renate', 'Birkenstraße 11', 48231, 'w', 3356.47, 'V/M'),
(3019, 'Reppel', 'Peter', 'An der Seilerei 18', 48231, 'm', 2919.79, 'AV'),
(3020, 'Boyer', 'Anette', 'Jahnstraße 29', 48151, 'w', 3301.95, 'P/A'),
(3021, 'Teppe', 'Karl', 'Kellermannsweg 50b', 59348, 'm', 3564.48, 'BS'),
(3022, 'Forth', 'Gudrun', 'Koppelweg 32', 48151, 'w', 663.15, 'F/B'),
(3023, 'Kurtenbach', 'Heinrich', 'Baurathstraße 17c', 48151, 'm', 3176.65, 'V/M'),
(3026, 'Wagner', 'Alexander', 'Erlengarten 2', 48155, 'm', 1841.95, 'V/M'),
(3027, 'Wörsdörfer', 'Rolf', 'Klinkstraße 10', 48151, 'm', 4686.28, 'IT'),
(3029, 'Görzel', 'Antje', 'An den Lothen 16', 48151, 'w', 4530.81, 'P/V'),
(3030, 'Irmak', 'Wolfgang', 'Haarholzerstraße 39', 48308, 'm', 2450.22, 'V/M'),
(3032, 'Engelbrecht', 'Karin', 'Kronenstraße 58', 48151, 'w', 2557.82, 'P/V'),
(3035, 'Kießling', 'Theodor', 'Sandfuhrstraße 19', 48231, 'm', 3274.45, 'V/M'),
(3036, 'Goldschmidt', 'Marlene', 'Untere Markstraße 8', 48308, 'w', 2249.96, 'BS'),
(3040, 'Elben', 'Dirk', 'Glockengarten 16', 48143, 'm', 2853.49, 'AV'),
(3044, 'Kosok', 'Christoph', 'Waldring 73a', 48653, 'm', 5260.29, 'F/C'),
(3045, 'Rogalla', 'Christian', 'Feldstraße 47', 48231, 'm', 3836.41, 'IT'),
(3047, 'Bund', 'Werner', 'Kanalstraße 76', 48151, 'm', 4108.94, 'BS'),
(3049, 'Blum', 'Linda', 'Am alten Stadtpark 38', 48143, 'w', 3291.04, 'F/B'),
(3052, 'Zimmermann', 'Christoph', 'Arnold Böcklin Straße 134', 48151, 'm', 2042.09, 'P/V'),
(3053, 'Wieder', 'Jens', 'Langenberger Straße 20', 48151, 'm', 2807.36, 'BS'),
(3054, 'Schuth', 'Ute', 'Brüderweg 35', 48151, 'w', 2224.70, 'IT'),
(3056, 'Trox', 'Martina', 'Euperstraße 30', 48653, 'w', 3242.09, 'F/B'),
(3057, 'Seidel', 'Dorothea', 'Lothringerstraße 22', 48231, 'w', 3182.91, 'IT'),
(3058, 'Donner', 'Sven', 'Kampstraße 44a', 48151, 'm', 3752.15, 'F/B'),
(3060, 'Dudziak', 'Susanne', 'Brückenweg 14', 48151, 'w', 3160.40, 'BS'),
(3061, 'Remeke', 'Tania', 'Chausseestraße  41b', 48143, 'w', 3080.94, 'AV'),
(3062, 'Rietz', 'Stefan', 'Gysenberg 33', 48143, 'm', 2827.19, 'AV'),
(3063, 'Köster', 'Daniel', 'Muhle Straße 29', 48151, 'm', 4776.37, 'F/C'),
(3064, 'Schieck', 'Yvonne', 'Mandelweg 10', 48151, 'w', 2662.59, 'P/V'),
(3065, 'Grönhoff', 'Mario', 'Achatstraße 16', 48155, 'm', 2158.64, 'IT'),
(4014, 'Brakelmann', 'Michael', 'Emilstraße 65', 48231, 'm', 879.00, 'P/A'),
(4015, 'Dascher', 'Jens', 'Keltenweg 13', 48231, 'm', 800.00, 'P/A'),
(4016, 'Hegermann', 'Miriam', 'Rosental 55', 48143, 'w', 736.00, 'P/A');

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `mitarbeiter`
--
ALTER TABLE `mitarbeiter`
  ADD CONSTRAINT mitarbeiter_ibfk_1 FOREIGN KEY (PLZ) REFERENCES `ort` (PLZ),
  ADD CONSTRAINT mitarbeiter_ibfk_2 FOREIGN KEY (AbteilungsID) REFERENCES abteilung (AbteilungsID);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
